> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/transactions
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/transactions:
    get:
      tags:
        - transactions
      summary: List Transactions
      operationId: list_transactions_v1_transactions_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: updated_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated Since
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPage_TransactionResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CursorPage_TransactionResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TransactionResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      title: CursorPage[TransactionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransactionResponse:
      properties:
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        sales_value:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sales Value
        gross_profit:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Gross Profit
        stock_after_sale:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Stock After Sale
        regular_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        promo_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Promo Type
        zone_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Zone Price
        external_transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Transaction Id
        unit_cost:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Cost
        discount_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Discount Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        tax_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Type
        id:
          type: string
          format: uuid
          title: Id
        item_id:
          type: string
          title: Item Id
        store_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Store Id
        transaction_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Transaction Timestamp
        quantity:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Quantity
        selling_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Selling Price
      additionalProperties: false
      type: object
      required:
        - id
        - item_id
      title: TransactionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````